libetonyek::IWAField Class Reference documentation

Public Types | Public Member Functions | List of all members
libetonyek::IWAField Class Referenceabstract

`#include <IWAField.h>`

Inheritance diagram for libetonyek::IWAField:

## Public Types
enum | Tag { TAG_INT32 , TAG_INT64 , TAG_UINT32 , TAG_UINT64 , TAG_SINT32 , TAG_SINT64 , TAG_BOOL , TAG_ENUM , TAG_FIXED64 , TAG_SFIXED64 , TAG_DOUBLE , TAG_STRING , TAG_BYTES , TAG_MESSAGE , TAG_FIXED32 , TAG_SFIXED32 , TAG_FLOAT }

## Public Member Functions
virtual | ~IWAField ()=0
virtual Tag | tag () const =0
virtual bool | empty () const =0
virtual std::size_t | size () const =0
virtual bool | is () const =0
| operator bool () const
bool | operator! () const
virtual void | parse (const RVNGInputStreamPtr_t &input, unsigned long length, bool allowEmpty)=0

## Member Enumeration Documentation

## ◆ Tag

enum libetonyek::IWAField::Tag

Enumerator
TAG_INT32 |
TAG_INT64 |
TAG_UINT32 |
TAG_UINT64 |
TAG_SINT32 |
TAG_SINT64 |
TAG_BOOL |
TAG_ENUM |
TAG_FIXED64 |
TAG_SFIXED64 |
TAG_DOUBLE |
TAG_STRING |
TAG_BYTES |
TAG_MESSAGE |
TAG_FIXED32 |
TAG_SFIXED32 |
TAG_FLOAT |

## Constructor & Destructor Documentation

## ◆ ~IWAField()

libetonyek::IWAField::~IWAField | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ empty()

virtual bool libetonyek::IWAField::empty | ( |  | ) | const
| pure virtual

Implemented in libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >, and libetonyek::detail::IWAFieldImpl< IWAField::TAG_MESSAGE, IWAMessage, IWAReader::Message >.

## ◆ is()

virtual bool libetonyek::IWAField::is | ( |  | ) | const
| pure virtual

Implemented in libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >, and libetonyek::detail::IWAFieldImpl< IWAField::TAG_MESSAGE, IWAMessage, IWAReader::Message >.

Referenced by operator!().

## ◆ operator bool()

libetonyek::IWAField::operator bool | ( |  | ) | const

## ◆ operator!()

bool libetonyek::IWAField::operator! | ( |  | ) | const

## ◆ parse()

virtual void libetonyek::IWAField::parse | ( | const RVNGInputStreamPtr_t & | input,
|  | unsigned long | length,
|  | bool | allowEmpty )
| pure virtual

Implemented in libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >, and libetonyek::detail::IWAFieldImpl< IWAField::TAG_MESSAGE, IWAMessage, IWAReader::Message >.

## ◆ size()

virtual std::size_t libetonyek::IWAField::size | ( |  | ) | const
| pure virtual

Implemented in libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >, and libetonyek::detail::IWAFieldImpl< IWAField::TAG_MESSAGE, IWAMessage, IWAReader::Message >.

## ◆ tag()

virtual Tag libetonyek::IWAField::tag | ( |  | ) | const
| pure virtual

Implemented in libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >, and libetonyek::detail::IWAFieldImpl< IWAField::TAG_MESSAGE, IWAMessage, IWAReader::Message >.

The documentation for this class was generated from the following files:

- IWAField.h
- IWAField.cpp